Bug 802138 - BZ: Bug.update does not work as documented for summary updates
BZ: Bug.update does not work as documented for summary updates
Status: CLOSED WONTFIX
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
3.6
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-11 12:40 EDT by Tomas Hoger
Modified: 2013-06-23 21:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-13 21:18:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2012-03-11 12:40:03 EDT
Description of problem:
Following xmlrpc interface documentation for Bug.update:

  https://bugzilla.redhat.com/docs/en/html/api/Bugzilla/WebService/Bug.html

says:

  short_desc|summary (string) - New bug summary.

This suggests that either 'short_desc' or 'summary' can be used as a key in the updates hash passed to the api.  However, only 'short_desc' works and no change is made when 'summary' is used instead.
Comment 1 Simon Green 2012-03-13 21:18:20 EDT
Definitely a bug, but it won't be fixed. We will inherit Mozilla's Bug.update when we release 4.2, and their documentation on this too.

  -- simon
Comment 2 Tomas Hoger 2012-03-14 04:11:42 EDT
AFAICS, upstream documentation says 'summary' should work.

http://www.bugzilla.org/docs/tip/en/html/api/Bugzilla/WebService/Bug.html

Keeping 'short_desc' working and not 'summary' does not seem to help write code that does not break after we go to 4.x.

Can our documentation be corrected, possibly with warning that is going to break with 4.x?
Comment 3 Simon Green 2012-03-27 07:58:19 EDT
(In reply to comment #2)
> Can our documentation be corrected, possibly with warning that is going to
> break with 4.x?

No. Bugzilla 3.6 is now in maintenance mode. Only security fixes or major bugs will be fixed in future releases.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.